Index: src/backend/libpq/hba.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/libpq/hba.c,v
retrieving revision 1.90
diff -c -r1.90 hba.c
*** src/backend/libpq/hba.c	6 Dec 2002 04:37:02 -0000	1.90
--- src/backend/libpq/hba.c	12 Dec 2002 22:45:59 -0000
***************
*** 841,856 ****
  	file = AllocateFile(conf_file, "r");
  	if (file == NULL)
  	{
! 		/* The open of the config file failed.	*/
! 		elog(LOG, "load_hba: Unable to open authentication config file \"%s\": %m",
  			 conf_file);
- 		pfree(conf_file);
- 	}
- 	else
- 	{
- 		hba_lines = tokenize_file(file);
- 		FreeFile(file);
  	}
  	pfree(conf_file);
  }
  
--- 841,853 ----
  	file = AllocateFile(conf_file, "r");
  	if (file == NULL)
  	{
! 		elog(FATAL,
! 			 "load_hba: Unable to open authentication config file \"%s\": %m",
  			 conf_file);
  	}
+ 
+ 	hba_lines = tokenize_file(file);
+ 	FreeFile(file);
  	pfree(conf_file);
  }
  
